+ Responder ao Tópico



  1. #1
    Mr_Mind
    Em anteriores instalações de Slackware nunca tive problemas nenhuns com o JSDK, mas recentemente numa instalaçao no meu laptop decidi incorporar o pacote glibc-i18n. Tambem compilei o kernel com suporte ao nls-iso8859-15 (Europa com €uro) e defini no /etc/profile os seguintes parametros:
    export LANG=pt_PT
    export LC_ALL=pt_PT
    export LC_CTYPE=ISO-8859-15

    e agora quando tento correr appz Java, neste caso o jedit, me da´ os seguintes erros:

    ~# jedit &

    [error] java.lang.InternalError: not implemented yet
    [error] at sun.awt.X11SurfaceData.getRaster(X11SurfaceData.java:155)
    [error] at sun.java2d.loops.OpaqueCopyAnyToArgb.Blit(CustomComponent.java:67)
    [error] at sun.java2d.loops.GraphicsPrimitive.convertFrom(GraphicsPrimitive.java:451)
    [error] at sun.java2d.loops.MaskBlit$General.MaskBlit(MaskBlit.java:186)
    [error] at sun.java2d.loops.Blit$GeneralMaskBlit.Blit(Blit.java:170)
    [error] at sun.java2d.pipe.DrawImage.blitSurfaceData(DrawImage.java:658)
    [error] at sun.java2d.pipe.DrawImage.renderSurfaceData(DrawImage.java:386)
    ( ... etc ...)


    sei que houve um bug com as libs de internacionalização do glibc mas actualmente a minha versão do glibc e´ 2.3.1 e ds locales tb!

    Alguem pode dar umas dicas?? <IMG SRC="images/forum/smilies/icon_confused.gif">

    _________________
    <i>After all ... we&acute;re all alike!!</i>

    <font size=-1>[ Editado por Mr_Mind On Date 29-10-2002 em 13:27 ]</font>

  2. #2
    B4D_D0G
    Mr. tenta fazer como o OOo(OpenOffice.org)
    antes de correr estes appz, mude a variável LC_ALL=pt_PT para LC_ALL=POSIX, soh pra fazer um teste e vê se eles rodam...<IMG SRC="images/forum/smilies/icon_confused.gif">



  3. #3
    Mr_Mind
    ja tentei caro amigo .. e nada <IMG SRC="images/forum/smilies/icon_confused.gif">

  4. #4
    B4D_D0G
    em qual configuração ele corre legal? <IMG SRC="images/forum/smilies/icon_confused.gif">



  5. #5
    Mr_Mind
    com a instalaçao base d slackware sem glibc-i18n
    <IMG SRC="images/forum/smilies/icon_frown.gif"> desisto ... ja fiz ate&acute; update da glibc e da glibc-i18n, versão 2.3.1! vou esperar pelo slackware 9 .. senao desisto de programar Java e de correr as suas aplicaçoes <IMG SRC="images/forum/smilies/icon_cry.gif">






Tópicos Similares

  1. JAVA e FLASH
    Por Perdigao no fórum Servidores de Rede
    Respostas: 4
    Último Post: 12-12-2002, 15:34
  2. FERRAMENTAS P/ DESENVOLVIMENTO EM JAVA
    Por no fórum Servidores de Rede
    Respostas: 3
    Último Post: 04-12-2002, 08:01
  3. JAVA
    Por 1c3m4n no fórum Linguagens de Programação
    Respostas: 7
    Último Post: 25-11-2002, 15:03
  4. Site Java
    Por dalton_poa no fórum Servidores de Rede
    Respostas: 4
    Último Post: 20-11-2002, 08:37
  5. APACHE+PHP+SYBASE e JAVA
    Por no fórum Servidores de Rede
    Respostas: 0
    Último Post: 21-08-2002, 11:00

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L